/*************************************************************************
* Embedded HTTP Server
*
* Copyright 2001 Stanislav Andrianov
*
* Version 0.7
* 
* 6 Nov 2001
*************************************************************************/


#ifndef _HTMPAGES_H_
#define _HTMPAGES_H_

typedef enum {
    MIME_NON  = 0,
    MIME_HTML = 1,
    MIME_JPEG = 2,
    MIME_GIF  = 3,
    MIME_TXT  = 4
 } MIME_T;

typedef struct {
    char          *page_name;
    unsigned char *page_ptr;
    int            page_len;
    MIME_T         mime;
} HTML_PAGE_LIST_T;

extern HTML_PAGE_LIST_T page_list[];
extern int              pages_cnt;

#endif /* _HTMPAGES_H_ */
