/***************************************************************************
**+----------------------------------------------------------------------+**
**|                                ****                                  |**
**|                                ****                                  |**
**|                                ******o***                            |**
**|                          ********_///_****                           |**
**|                           ***** /_//_/ ****                          |**
**|                            ** ** (__/ ****                           |**
**|                                *********                             |**
**|                                 ****                                 |**
**|                                  ***                                 |**
**|                                                                      |**
**|     Copyright (c) 1998,1999,2000 Texas Instruments Incorporated      |**
**|                        ALL RIGHTS RESERVED                           |**
**|                                                                      |**
**| Permission is hereby granted to licensees of Texas Instruments       |**
**| Incorporated (TI) products to use this computer program for the sole |**
**| purpose of implementing a licensee product based on TI products.     |**
**| No other rights to reproduce, use, or disseminate this computer      |**
**| program, whether in part or in whole, are granted.                   |**
**|                                                                      |**
**| TI makes no representation or warranties with respect to the         |**
**| performance of this computer program, and specifically disclaims     |**
**| any responsibility for any damages, special or consequential,        |**
**| connected with the use of this program.                              |**
**|                                                                      |**
**+----------------------------------------------------------------------+**
***************************************************************************/


/**************************************************************************/
/*                                                                        */
/*   MODULE:  http.h                                                      */
/*   PURPOSE: defenition file for http server.                            */
/*                                                                        */
/**************************************************************************/

#define MAX_BUFF_SIZE           128 /* Buffer size for reading strings      */
#define HTTP_TASK_STACKSIZE     16000 /* HTTP Task Stacksize & TCB            */
#define HTTP_PORT                80
#define RCV_BUF_LEN 4096
#define MAX_HTTP_FUNCS  128
#define IMAGE_BUF_LEN  0x4000
#define MAX_PARAM 40
typedef int STATUS;

/* Note this port will conflict with    */
/* the vxWorks HTTP. Use a different    */
/* port number or rebuild vxWorks with  */
/* INCLUDE_HTTP undefined               */

extern STATUS wapp_utilsHttpInit(__u32);
extern STATUS wapp_utilsHttpStart(void);
extern int wapp_utilsHttpGetDisplayHtmlEnable(unsigned char *state);
extern int wapp_utilsHttpSetDisplayHtmlEnable(unsigned char state);

/* function can get 20 parameters */
typedef char* (HTTP_PARAM_FUNC_T)(char *, char *, char *, char *, char *, char *, char *, char *, char *, char *, 
								  char *, char *, char *, char *, char *, char *, char *, char *, char *, char *,
								  char *, char *, char *, char *, char *, char *, char *, char *, char *, char *,
								  char *, char *, char *, char *, char *, char *, char *, char *, char *, char *);

extern HTTP_PARAM_FUNC_T *http_param_func[MAX_HTTP_FUNCS];
