
#ifndef __WCFGLIB_NET_H
#define __WCFGLIB_NET_H

#include "wcfglib.h"


unsigned int if_nametoindex(const char *);
int br_addif(const char *, const char *);
int config_ip_settings(wcfgd *);

int tiap_wcfg_set_route(const char *, __u32, __u32, __u32, const int);
int tiap_wcfg_get_default_gateway(__u32 *);
int tiap_wcfg_set_ipaddr_or_netmask(const char *, int, __u32);
int tiap_wcfg_get_ipaddr_or_netmask(const char *, int, __u32 *);
void tiap_wcfg_set_storage_ipaddr(wcfgd *, const int, const __u32);
int tiap_wcfg_dev_set_flags(const char *, int, int);

#endif
