RADIO=RADIA
#RADIO = RADIA (bg), RADIA_DB (abg), RADIA_CRT
CCPREFIX=@
#CCPREFIX= to see compilation parameters
DEBUG=n

KERNEL_DIR_PRE  := $(shell cd ../../../..; pwd)


ifndef KERNELDIR
KERNELDIR=$(KERNEL_DIR_PRE)/linux/linux
endif
ifndef UCLIBCDIR
UCLIBCDIR=/ti/Micro/tools/mipsel-linux-uclibc
endif
GCCINCLUDEDIR=/opt/hardhat/previewkit/mips/fp_le/lib/gcc-lib/mipsel-hardhat-linux/2.95.3/include


ifeq ($(DEBUG),y)
	CFLAGS += -O -g  -DTIWLAN_DEBUG # "-O" is needed to expand inlines
else
	CFLAGS += -O3 -fomit-frame-pointer
endif

CFLAGS += -DTI_SLOW_PATH

ifeq ($(RADIO),RADIA)
	CFLAGS += -DTIWLAN_FW_RADIA -DTIWLAN_RADIO_NAME='"RADIA (bg)"'
	FW_FILENAME=victoria_radia_acx111
	FW_SYMBOLS=_Acx100_bin_0_ArrayStart _Acx100_bin_0_ArrayEnd _Acx100_bin_0_Version
else 
ifeq ($(RADIO),RADIA_DB)
	CFLAGS += -DTIWLAN_FW_RADIA_DB -DTIWLAN_RADIO_NAME='"RADIA_DB (abg)"'
	FW_FILENAME=victoria_radiadb_acx111
	FW_SYMBOLS=_Acx100_bin_0_ArrayStart _Acx100_bin_0_ArrayEnd _Acx100_bin_0_Version
else 
ifeq ($(RADIO),RADIA_CRT)
	CFLAGS += -DTIWLAN_FW_RADIA_CRT -DTIWLAN_RADIO_NAME='"RADIA_CRT"'
	FW_FILENAME=victoria_radiacrt_acx111
	FW_SYMBOLS=_Acx100_bin_0_ArrayStart _Acx100_bin_0_ArrayEnd _Acx100_bin_0_Version
else
ifeq ($(RADIO),RADIA_CRTAB)
	CFLAGS += -DTIWLAN_FW_RADIA_CRT -DTIWLAN_RADIO_NAME='"RADIA_CRTAB"'
	FW_FILENAME=victoria_radiacrtab_acx111
	FW_SYMBOLS=_Acx100_bin_0_ArrayStart _Acx100_bin_0_ArrayEnd _Acx100_bin_0_Version
else
	$(error "Unknown radio type")
endif
endif
endif
endif
