/* LICENSE_CODE JUNGO */

#ifndef _EAP_RADIUS_H_
#define _EAP_RADIUS_H_

#include <rg_def.h>
#include <radius/radiusc.h>

#define RADIUS_STATE_MAX_LEN 255

/* RADIUS eap session context */
typedef struct {
    void *context;
    u8 *identity;
    int identity_len;
    u8 recv_id;
    radius_client_session_t *session;
} eap_radius_t;

typedef struct {
    u8 *identity;
    int identity_len;
    void *radius_client; /* context received from radius_client_open() */
} eap_method_radius_params_t;

#endif

