/* LICENSE_CODE JUNGO */

#ifndef _EAPOL_H_
#define _EAPOL_H_

#include <rg_def.h>
#include <net_utils.h>

/* EAPoL packet constants */
#define EAPOL_VER 1
#define PAE_GROUP_ADDRESS "01:80:c2:00:00:03"

enum eapol_types {
    ET_EAP = 0,
    ET_START = 1,
    ET_LOGOFF = 2,
    ET_KEY = 3,
    ET_ENCAPSULATED_ASF_ALERT = 4,
};
    
typedef struct {
    ether_mac_t dest;
    ether_mac_t src;
    u16 ether_type;
    u8 proto_ver;
    u8 pkt_type;
    u16 pkt_body_len;
    u8 pkt_body[1]; /* user should allocate structure with pkt_body size of
		     * pkt_body_len */
} __attribute__ ((packed)) eapol_pkt_t;

#endif

