/* LICENSE_CODE JUNGO */

#ifndef _ESTREAM_UTILS_H_
#define _ESTREAM_UTILS_H_

#include "estream.h"

/* Write formatted line to socket */
int estream_printf(estream_t *estream, char *format, ...);
/* Write string to socket */
int estream_write_str(estream_t *estream, char *str);
/* Write 'str' to estream while replacing all instances of 'from' inside
 * 'str' to 'to'. 'str' remains unchanged.
 */
int estream_write_str_replace(estream_t *estream, char *str, char *from,
    char *to);

#endif

