/* LICENSE_CODE JUNGO */

#ifndef _IPSEC_DEF_H_
#define _IPSEC_DEF_H_

#include <util/conv.h>

typedef enum {
    IPSEC_DH_GROUP1 = 1,
    IPSEC_DH_GROUP2 = 2,
    IPSEC_DH_GROUP3 = 4,
    IPSEC_DH_GROUP4 = 8,
    IPSEC_DH_GROUP5 = 16,
} ipsec_dh_type_t;

extern key2str_t ipsec_enc_list[];
extern key2str_t ipsec_enc_phase1_list[];
extern key2str_t ipsec_auth_list[];
extern key2str_t ipsec_dh_list[];

#endif

