/* LICENSE_CODE JUNGO */

#ifndef _RG_OPENSSL_H_
#define _RG_OPENSSL_H_

#include <openssl/ssl.h>
#include <rg_error.h>

void rg_ssl_init(void);
void rg_error_ssl(rg_error_level_t level);

typedef int (*ctx_cb_func_t)(void *data, SSL_CTX *ssl_ctx, int is_server);
int rg_ssl_register_ctx_cb(ctx_cb_func_t func, void *context);
void rg_ssl_unregister_ctx_cb(ctx_cb_func_t func, void *context);

SSL_CTX *rg_ssl_ctx_alloc(int is_server);

#endif

