/* LICENSE_CODE JUNGO */

#include <string.h>
#include "conv.h"

void *code2ptr(code2ptr_t *list, int code)
{
    for (; list->code != -1 && list->code != code; list++);

    return list->ptr;
}

char *code2str(code2str_t *list, int code)
{
    for (; list->code != -1 && list->code != code; list++);

    return list->str;
}

int code2code(code2code_t *list, int code)
{
    for (; list->code != -1 && list->code != code; list++);

    return list->val;
}

int str2code(code2str_t *list, char *str)
{
    for (; list->code != -1 && list->str && strcmp(list->str, str); list++);

    return list->code;
}

char *code2label(str2str_t *list, char *code)
{
    for (; list->code && list->label && strcmp(list->code, code); list++);

    return list->label;
}
    
int code_in_list(int code, int *list)
{
    for (; *list != -1; list++)
    {
	if (*list == code)
	    return 1;
    }
    return 0;
}

