/* LICENSE_CODE JUNGO */

#ifndef _CONV_H_
#define _CONV_H_

typedef struct {
    int code;
    void *ptr;
} code2ptr_t;

typedef struct {
    int code;
    char *str;
} code2str_t;

typedef struct {
    int code;
    int val;
} code2code_t;

typedef struct {
    char *code;
    char *label;
} str2str_t;

typedef struct {
    int code;
    char *label;
    char *entry;
    int key_len;
} key2str_t;

void *code2ptr(code2ptr_t *list, int code);
char *code2str(code2str_t *list, int code);
int str2code(code2str_t *list, char *str);
int code2code(code2code_t *list, int code);
char *code2label(str2str_t *list, char *code);
int code_in_list(int code, int *list);

#endif
