/* LICENSE_CODE GPL */

#ifndef _OPENRG_GPL_H_
#define _OPENRG_GPL_H_

#include <rg_types.h>

#ifndef MZERO
    #define MZERO(buf) memset(&(buf), 0, sizeof(buf))
#endif

#if 0

typedef enum {
    LDEBUG = 1,
    LINFO = 2,
    LWARN = 3,
    LERR = 4,
    LEXIT = 5,
    LPANIC = 6,
    LSEVERITY_MASK = 0xf,
    LCONSOLE = 0x100, /* From here on, it acts as a bit field. */
} rg_error_level_t;

#define rg_error_f(SEVERITY, FMT, ARGS...) \
    rg_error(SEVERITY, "%s:%d: " FMT, __FUNCTION__, __LINE__ , ## ARGS)

#endif

/*int rg_error(rg_error_level_t severity, const char *format, ...);*/

void sys_sleep(unsigned int seconds);
int sock_socket(int type, u32 src_ip, u16 src_port);

#endif
