/* LICENSE_CODE JUNGO */
#ifndef _RG_SYSTEM_H
#define _RG_SYSTEM_H

/* possible child exit status when using vfork */
typedef enum {
    CHILD_ERR_NO_ERR = 0,
    CHILD_ERR_SIDFAIL = 1,
    CHILD_ERR_DEVFAIL = 2,
    CHILD_ERR_EXECFAIL = 3,
    CHILD_ERR_STDERRFAIL = 4,
    CHILD_ERR_DUPFAIL = 5,
} child_err_t;

/* Warning: see comment in function */
#define MAX_ARGS 50
int create_args(char *cmd, char **argv);
void fork_child(int argc, char **argv, char *dont_fork);
int rg_system(char *ext_cmd, int flags, pid_t *ret_pid);
int rg_system_full(char *ext_cmd, int flags, pid_t *ret_pid, int child_fds[]);
int load_kernel_module(char *module, char *param);

#endif

