/***************************************************************************
**+----------------------------------------------------------------------+**
**|                                ****                                  |**
**|                                ****                                  |**
**|                                ******o***                            |**
**|                          ********_///_****                           |**
**|                           ***** /_//_/ ****                          |**
**|                            ** ** (__/ ****                           |**
**|                                *********                             |**
**|                                 ****                                 |**
**|                                  ***                                 |**
**|                                                                      |**
**|     Copyright (c) 1998,1999,2000 Texas Instruments Incorporated      |**
**|                        ALL RIGHTS RESERVED                           |**
**|                                                                      |**
**| Permission is hereby granted to licensees of Texas Instruments       |**
**| Incorporated (TI) products to use this computer program for the sole |**
**| purpose of implementing a licensee product based on TI products.     |**
**| No other rights to reproduce, use, or disseminate this computer      |**
**| program, whether in part or in whole, are granted.                   |**
**|                                                                      |**
**| TI makes no representation or warranties with respect to the         |**
**| performance of this computer program, and specifically disclaims     |**
**| any responsibility for any damages, special or consequential,        |**
**| connected with the use of this program.                              |**
**|                                                                      |**
**+----------------------------------------------------------------------+**
***************************************************************************/

/***************************************************************************/
/*																		   */
/*		MODULE:		mgmtBuiler.h										   */
/*		PURPOSE:	Management filter object							   */
/*																	 	   */
/***************************************************************************/

#ifndef _MGMT_BUILDER_H
#define _MGMT_BUILDER_H

#include "802_11Defs.h"

void wdrv_mgmtSendAuth(UINT16 status, dot11_auth_T *protoPtr, UINT16 index);
void wdrv_mgmtSendDeAuthUnicastByIndex(UINT16 status, UINT16 index);
void wdrv_mgmtSendDeAuthUnicastByMac(UINT16 status, char *mac, UINT8 woneIndex);
void wdrv_mgmtSendDeAuthBcast(UINT16 status);
void wdrv_mgmtSendAssocRsp(UINT16 status, UINT16 index);
void wdrv_mgmtSendReAssocRsp(UINT16 status, UINT16 index);
void wdrv_mgmtSendDisAssocUnicastByIndex(UINT16 status, UINT16 index);
void wdrv_mgmtSendDisAssocBcast(UINT16 status);
STATUS wdrv_mgmtSendNullPacket(UINT16 index);

#endif
