/*************************************************************************
 *                        wdrv_txConcatMsduList                          *
 *************************************************************************
DESCRIPTION: This function get a list of MSDUs (The first MSDU pointes 
             on the others) and concatenate them into one MPDU by linking the
             buffers BDs. In return only the first MSDU struct is in use, 
             and it contains the entire concatenated MPDU.                
                                                                                                   
INPUT:       msduPtr     - Pointer to the first MSDU.
             concatFlags - Concatenation flags.
             
             
OUTPUT:      By reference to the msduPtr.

RETURN:      OK : Initiation succesfull.
             NOK: Initiation unsuccesfull.                                                                                                                                             
************************************************************************/
void wdrv_txConcatMsduList( mem_MSDU_T *buildMsduPtr, mem_MSDU_T** firstMsduPtr, UINT16 concatFlags );

