/***************************************************************************
**+----------------------------------------------------------------------+**
**|                                ****                                  |**
**|                                ****                                  |**
**|                                ******o***                            |**
**|                          ********_///_****                           |**
**|                           ***** /_//_/ ****                          |**
**|                            ** ** (__/ ****                           |**
**|                                *********                             |**
**|                                 ****                                 |**
**|                                  ***                                 |**
**|                                                                      |**
**|     Copyright (c) 1998-2003 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                           |**
**|                                                                      |**
**| Permission is hereby granted to licensees of Texas Instruments       |**
**| Incorporated (TI) products to use this computer program for the sole |**
**| purpose of implementing a licensee product based on TI products.     |**
**| No other rights to reproduce, use, or disseminate this computer      |**
**| program, whether in part or in whole, are granted.                   |**
**|                                                                      |**
**| TI makes no representation or warranties with respect to the         |**
**| performance of this computer program, and specifically disclaims     |**
**| any responsibility for any damages, special or consequential,        |**
**| connected with the use of this program.                              |**
**|                                                                      |**
**+----------------------------------------------------------------------+**
***************************************************************************/

/****************************************************************************
 *
 *   MODULE:  acx100_bin.s 
 *   PURPOSE: contain the ACX100 firmware as an array
 *		This file was generated by binToAsm utility which convert the ACX100.bin
 *		image file into ASM file. 
 *		The two symbols generated by the bit2Asm utility must be change by the user
 *		to add _acx100 prefix
 *
 ****************************************************************************/

/* binToAsm.s - binary data */

/* CREATED BY binToAsm
 *       FROM reg111.bin
 *         ON Thu Feb 27 23:57:10 Jerusalem Standard Time 2003
 */

#define _ASMLANGUAGE
#ifndef __linux__
#include "vxWorks.h"
#include "asm.h"
#endif // __linux__

	.globl _ACX111_REG_Version
	.globl _ACX111_REG_binArrayStart
	.globl _ACX111_REG_binArrayEnd
	.data

_ACX111_REG_Version: 
		.ascii   "acx111_debug_firmware 27-Feb-03"
		.byte	0

_ACX111_REG_binArrayStart: 

        .byte 0245,0317,0000,0000,0230,0001,0000,0000,0352,0000,0000,0041,0352,0377,0377,0376
        .byte 0352,0377,0377,0376,0352,0377,0377,0376,0352,0377,0377,0376,0352,0377,0377,0376
        .byte 0352,0377,0377,0376,0352,0377,0377,0376,0000,0000,0001,0230,0000,0000,0011,0230
        .byte 0000,0000,0011,0374,0377,0377,0377,0377,0345,0037,0000,0014,0352,0000,0000,0021
        .byte 0344,0220,0020,0004,0343,0021,0000,0003,0032,0000,0000,0007,0342,0122,0040,0004
        .byte 0112,0000,0000,0003,0344,0220,0060,0004,0344,0201,0060,0004,0342,0122,0040,0004
        .byte 0132,0377,0377,0373,0342,0222,0040,0004,0012,0000,0000,0003,0344,0320,0060,0001
        .byte 0344,0301,0060,0001,0342,0122,0040,0001,0032,0377,0377,0373,0343,0020,0000,0003
        .byte 0023,0300,0000,0003,0022,0200,0000,0004,0344,0220,0040,0004,0343,0122,0000,0000
        .byte 0032,0377,0377,0352,0341,0017,0000,0000,0343,0300,0000,0037,0343,0200,0000,0021
        .byte 0341,0051,0360,0000,0345,0037,0000,0200,0342,0220,0000,0144,0341,0240,0320,0000
        .byte 0341,0017,0000,0000,0343,0300,0000,0037,0343,0200,0000,0022,0341,0051,0360,0000
        .byte 0345,0037,0000,0230,0342,0220,0000,0144,0341,0240,0320,0000,0341,0017,0000,0000
        .byte 0343,0200,0000,0037,0341,0051,0360,0000,0345,0037,0000,0270,0342,0220,0017,0372
        .byte 0341,0240,0320,0000,0352,0377,0377,0377,0342,0115,0320,0010,0343,0240,0300,0000
        .byte 0345,0215,0300,0000,0343,0240,0316,0052,0342,0214,0313,0141,0345,0215,0300,0004
        .byte 0343,0240,0300,0000,0345,0237,0000,0214,0345,0200,0300,0000,0343,0240,0300,0252
        .byte 0342,0214,0314,0252,0345,0237,0000,0200,0345,0200,0300,0000,0343,0240,0300,0000
        .byte 0345,0215,0300,0000,0345,0235,0300,0004,0345,0235,0000,0000,0341,0120,0000,0014
        .byte 0252,0000,0000,0006,0345,0235,0300,0000,0342,0214,0300,0001,0345,0215,0300,0000
        .byte 0345,0235,0300,0004,0345,0235,0000,0000,0341,0120,0000,0014,0272,0377,0377,0370
        .byte 0343,0240,0300,0125,0342,0214,0314,0125,0345,0237,0000,0074,0345,0200,0300,0000
        .byte 0343,0240,0300,0000,0345,0215,0300,0000,0345,0235,0300,0004,0345,0235,0000,0000
        .byte 0341,0120,0000,0014,0252,0377,0377,0344,0345,0235,0300,0000,0342,0214,0300,0001
        .byte 0345,0215,0300,0000,0345,0235,0000,0004,0345,0235,0300,0000,0341,0134,0000,0000
        .byte 0272,0377,0377,0370,0352,0377,0377,0334,0377,0360,0003,0164,0377,0360,0003,0174
        .byte 

_ACX111_REG_binArrayEnd:
