#####################################################
#  Firmware and Radio auto compilation information  #
#####################################################

#---------------------------------------------------------#
# that makefile support 2 Firmware files and 2 Radio files.
#
# 1) all the file should be in *.Bin format
# 2) each file may have a comment, which usally carries verion 
#    or any user information - the comment should be one line. 
#
#---------------------------------------------------------#

ifndef _FW_MK_
export _FW_MK_= 1

#---------------------------------------------------------#
# First Firmware file 
export ACX100_MSG_0          = "victoria_radia_acx111.bin 0.3.16.14 - bg"
export ACX100_FW_FILE_0_BIN  = victoria_radia_acx111
#---------------------------------------------------------#

#---------------------------------------------------------#
# Second Firmware file 
export ACX100_MSG_1          = "victoria_radiadb_acx111.bin 0.3.16.14 - bg"
export ACX100_FW_FILE_1_BIN  = victoria_radiadb_acx111
#---------------------------------------------------------#

#---------------------------------------------------------#
# first Radio file 
export ACX100_MSG_2          = "maxim_radio_dl"  
export ACX100_FW_FILE_2_BIN  = FWRad0
#---------------------------------------------------------#

#---------------------------------------------------------#
# Second Radio file 
export ACX100_MSG_3          = "maxim_radio_dl"
export ACX100_FW_FILE_3_BIN  = FWRad1
#---------------------------------------------------------#

endif