/***************************************************************************
**+----------------------------------------------------------------------+**
**|                                ****                                  |**
**|                                ****                                  |**
**|                                ******o***                            |**
**|                          ********_///_****                           |**
**|                           ***** /_//_/ ****                          |**
**|                            ** ** (__/ ****                           |**
**|                                *********                             |**
**|                                 ****                                 |**
**|                                  ***                                 |**
**|                                                                      |**
**|     Copyright (c) 1998-2003 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                           |**
**|                                                                      |**
**| Permission is hereby granted to licensees of Texas Instruments       |**
**| Incorporated (TI) products to use this computer program for the sole |**
**| purpose of implementing a licensee product based on TI products.     |**
**| No other rights to reproduce, use, or disseminate this computer      |**
**| program, whether in part or in whole, are granted.                   |**
**|                                                                      |**
**| TI makes no representation or warranties with respect to the         |**
**| performance of this computer program, and specifically disclaims     |**
**| any responsibility for any damages, special or consequential,        |**
**| connected with the use of this program.                              |**
**|                                                                      |**
**+----------------------------------------------------------------------+**
***************************************************************************/
/***************************************************************************
**                                                                        **
**   MODULE:    whalDefs.h                                                **
**   PURPOSE:   Wireless HAL Common Definitions                           **
**                                                                        **
***************************************************************************/
#ifndef _PFORM_TYPES_USER_H_
#define _PFORM_TYPES_USER_H_


/*************************************************************************
	includes
**************************************************************************/
/*#include <sys/types.h>*/

/*************************************************************************
	types
**************************************************************************/

/* @@TODO:*/
#ifndef MAC_ADDR_LEN
	#define MAC_ADDR_LEN    6   /* MAC Address length in bytes  */
#endif

#define STATUS						int
#define OK							0
#define NOK							-1	

#if 1 
/*#ifndef u8*/
typedef unsigned char  u8;
typedef unsigned short u16;
typedef unsigned int u32;
typedef unsigned long long u64;
#endif

/*#ifndef UINT8*/
typedef unsigned char  UINT8;
typedef unsigned short UINT16;
typedef unsigned int UINT32;
typedef	UINT32  BOOL ;
/*#endif*/

#define  TRUE   1
#ifdef  FALSE
#undef  FALSE
#endif 
#define  FALSE  0



#endif /* #ifndef _WHALDEFS_H_ */
