/*************************************************************************
* Embedded HTTP Server; Content builder
*
* Copyright 2001 Stanislav Andrianov
*
* Version 0.7
* 
* 6 Nov 2001
*************************************************************************/
#ifndef _HTML2C_H_
#define _HTML2C_H_

#define MAX_PAGE_NUM 32

typedef enum {
	MIME_NON  = 0,
	MIME_HTML = 1,
	MIME_JPEG = 2,
	MIME_GIF  = 3,
	MIME_TXT  = 4,
} MIME_T;

typedef struct {
	char	filename[24];
	char	varname[24];
	int		file_len;
	MIME_T	mime;
} HTM_PAGE_DSC_T;

#endif /* _HTML2C_H_ */