/***************************************************************************
**+----------------------------------------------------------------------+**
**|                                ****                                  |**
**|                                ****                                  |**
**|                                ******o***                            |**
**|                          ********_///_****                           |**
**|                           ***** /_//_/ ****                          |**
**|                            ** ** (__/ ****                           |**
**|                                *********                             |**
**|                                 ****                                 |**
**|                                  ***                                 |**
**|                                                                      |**
**|     Copyright (c) 1998,1999,2000 Texas Instruments Incorporated      |**
**|                        ALL RIGHTS RESERVED                           |**
**|                                                                      |**
**| Permission is hereby granted to licensees of Texas Instruments       |**
**| Incorporated (TI) products to use this computer program for the sole |**
**| purpose of implementing a licensee product based on TI products.     |**
**| No other rights to reproduce, use, or disseminate this computer      |**
**| program, whether in part or in whole, are granted.                   |**
**|                                                                      |**
**| TI makes no representation or warranties with respect to the         |**
**| performance of this computer program, and specifically disclaims     |**
**| any responsibility for any damages, special or consequential,        |**
**| connected with the use of this program.                              |**
**|                                                                      |**
**+----------------------------------------------------------------------+**
***************************************************************************/

/***************************************************************************/
/*																		   */
/*		MODULE:	mgmtSm.h												   */
/*    PURPOSE:	Authorization/association state machine implementation	   */
/*																	 	   */
/***************************************************************************/

#ifndef _WPA_TST_H
#define _WPA_TST_H

void wdrv_wpaTstmicTxBroadcast(UINT32 len);
void wdrv_wpaTstmicTxUnicast(UINT32 len);
void wdrv_wpaTstmicRx(UINT32 len, BOOL	micOK);
void wdrv_wpaTstVector(void);
void wdrv_wpaTstAssocStation(UINT8 SA, BOOL rsn, UINT8 rsnIeLen, UINT8 rsnIeValue);
void wdrv_wpaTstReAssocStation(UINT8 SA, BOOL rsn, UINT8 rsnIeLen, UINT8 rsnIeValue);
void wdrv_wpaTstDataRecv(UINT8 SA, UINT8 DA, BOOL wepOn, BOOL isEapol, UINT8 dataLen, UINT8 dataValue);
void wdrv_wpaTstEapolSend(UINT8 DA, UINT8 dataLen, UINT8 dataValue);

void wdrv_wpaTstOpenCommand(UINT32 input);
void wdrv_wpaTstCloseCommand(UINT32 input);

#endif
