/* LICENSE_CODE JUNGO */

#ifndef _ESTREAM_SSL_H_
#define _ESTREAM_SSL_H_

#include <estream.h>

#ifdef CONFIG_RG_SSL
#include <openssl/ssl.h>
void estream_ssl_init(void);
#endif

struct estream_ssl_t {
    int (*accept_connect)(estream_t *e);
    int (*read)(estream_t *e, char *buf, int len);
    int (*write)(estream_t *e, char *buf, int len);
    int (*should_read)(estream_t *e);
    int (*should_write)(estream_t *e);
    void (*close)(estream_t *e);
#ifdef CONFIG_RG_SSL
    SSL *ssl;
    SSL_CTX *ctx;
#endif
};

#endif

