/* LICENSE_CODE JUNGO */

#ifndef _LIBC_CONFIG_INCLUDE_H_ 
#define _LIBC_CONFIG_INCLUDE_H_

/* Define as the return type of signal handlers (int or void).  */
#define RETSIGTYPE void


/* Define to the type of elements in the array set by `getgroups'.
   Usually this is either `int' or `gid_t'.  */
#define GETGROUPS_T gid_t
#if defined(GLIBC_VERSION_2_1_3)
	#define RLIMTYPE rlim_t
#endif
/* Define to `short' if <sys/types.h> doesn't define.  */
#define bits16_t short

/* Define to `unsigned short' if <sys/types.h> doesn't define.  */
#define u_bits16_t unsigned short

/* Define to `int' if <sys/types.h> doesn't define.  */
#define bits32_t int

/* Define to `unsigned int' if <sys/types.h> doesn't define.  */
#define u_bits32_t unsigned int

/* Define to `double' if <sys/types.h> doesn't define. */
#define bits64_t double

/* ucd-snmp */
/* define rtentry to ortentry on SYSV machines (alphas) */
#define RTENTRY struct rtentry

#endif
