/* LICENSE_CODE JUNGO */

#ifndef _RG_ERROR_NATIVE_H_
#define _RG_ERROR_NATIVE_H_

#include <util/rg_error.h>

static inline int rg_error(rg_error_level_t severity, const char *format, ...)
{
    va_list ap;
    int ret;
    
    va_start(ap, format);
    ret = vfprintf(stderr, format, ap);
    va_end(ap);

    return ret;
}
#endif

