/* LICENSE_CODE JUNGO */

#ifndef _BASE64_H_
#define _BASE64_H_

/* Encode 'p' into 'buf' given the maximum size for 'buf' in 'buf_len'. buf is
 * returned
 */
char *base64enc(char *p, char *buf, int buf_len);

/* Decode str into data
 * The length of data is returned
 * returns -1 on error (data_len too small or bad format input)
 */
int base64dec(char *str, void *data, int data_len);

#endif

