/* LICENSE_CODE JUNGO */

#ifndef _STRCONV_H_
#define _STRCONV_H_

#include <rg_def.h>

char *itoa(int num);
char *int2hex(int num);
int hex2int(char *str);

void bin_2_hex(char *hex, u8 *bin, int binlen);
int hex_2_bin(u8 *bin, int binlen, char *hex);

/* Convert a string format to a buffer format in 'buf' (buf won't be terminated
 * with '\0'). The returned value is the number of bytes in 'buf' after the
 * conversion
 */
int str2buf(char *buf, char *fmt, ...);
/* Convert a buffer format in 'buf' to a string format in 'str', given the size
 * of the buffer in 'buf_size'.
 */
void buf2str(char *str, char *buf, int buf_size);

#endif

