/* LICENSE_CODE JUNGO */

#ifndef _VX_NET_FIXUP_H_
#define _VX_NET_FIXUP_H_

#ifndef __KERNEL__
void socket_close_vx(int fd);

/* An intermediate function in the process of sending a UDP packet
 * asynchronously. It waits until 'dst' (the packet's destination) is ARP
 * resolved (or a timeout occurs), and then calls 'cb', passing 'esc' as
 * parameter. ('cb' will continue the send process).
 */
void *send_wait_for_ready_and_start_vx(struct sockaddr *dst, void *esc,
    etimer_func_t cb);

void send_wait_for_ready_cancel_vx(void *data);
#else
void device_detach_vx_fix(struct ifnet *ifp);
int netdev_addr_init(struct ifnet *ifp);
#endif

#endif
