CFILES = \
core/4x/4xMngr.c \
core/4x/ackEmulDb.c \
core/4x/ackEmulUtil.c \
core/Advanced/Shutdown/Shutdown.c \
core/Advanced/WONE/WoneBalance.c \
core/BssBridge/bssbridge.c \
core/DB/drvDbHash.c \
core/DB/drvDbInit.c \
core/DB/drvDbMain.c \
core/DB/drvDbRegDomain.c \
core/MainSm/mainsm.c \
core/Mgmt/Test/mgmtStub.c \
core/Mgmt/Test/mgmtTst.c \
core/Mgmt/mgmtAccess.c \
core/Mgmt/mgmtBuilder.c \
core/Mgmt/mgmtParser.c \
core/Mgmt/mgmtSm.c \
core/Mgmt/mgmtSwap.c \
core/Mgmt/mgmtSystem.c \
core/Rx/mpduCollect.c \
core/Rx/rx.c \
core/Tx/concatenator.c \
core/Tx/envList.c \
core/Tx/powerSave.c \
core/Tx/tx.c \
hal/AcxControl/whalAcxAccess.c \
hal/AcxControl/whalAcxCmd.c \
hal/AcxControl/whalAcxCmdBit.c \
hal/AcxControl/whalAcxConfig.c \
hal/AcxControl/whalAcxEeprom.c \
hal/AcxControl/whalAcxMbox.c \
hal/AcxControl/whalAcxProcess.c \
hal/AcxControl/whalApi.c \
hal/AcxControl/whalFrameBuilder.c \
hal/AcxControl/whalInterrupt.c \
hal/AcxControl/whalParams.c \
hal/AcxDma/whalHostDesc.c \
hal/AcxDma/whalHostQueue.c \
hal/AcxDma/whalRx.c \
hal/AcxDma/whalRxBufs.c \
hal/AcxDma/whalRxDesc.c \
hal/AcxDma/whalRxMaster.c \
hal/AcxDma/whalRxQueue.c \
hal/AcxDma/whalTxBufs.c \
hal/AcxDma/whalTxDesc.c \
hal/AcxDma/whalTxMaster.c \
hal/AcxDma/whalTxQueue.c \
utils/memMngr.c		\
utils/wlanSniffer.c

ifeq ($(DEBUG),y)
	CFILES += hal/AcxDma/whalTrace.c 
endif

#csl/board/acx_hw.c		\
#csl/board/vlynq.c	\

FW_FILES=\
$(WLANPREFIX)/src/ddc/hal/AcxInc/TNET1130/FWRad0.bin \
$(WLANPREFIX)/src/ddc/hal/AcxInc/TNET1130/FWRad1.bin 

#$(WLANPREFIX)/src/ddc/hal/AcxInc/TNET1130/victoria_radia_acx111.bin \
#$(WLANPREFIX)/src/ddc/hal/AcxInc/TNET1130/victoria_radiadb_acx111.bin \

FW_S_FILES = $(subst .bin,.S,$(FW_FILES))
#FW_CLEAN_S_FILES = $(FW_S_FILE)
#FW_CLEAN_O_FILES = $(subst .S,.o,$(FW_S_FILE))
CFILES_DEP := $(CFILES)
FW_S_FILES +=  $(WLANPREFIX)/src/ddc/hal/AcxControl/reg111_bin.S
CFILES += $(FW_S_FILES)




