/***************************************************************************
**+----------------------------------------------------------------------+**
**|                                ****                                  |**
**|                                ****                                  |**
**|                                ******o***                            |**
**|                          ********_///_****                           |**
**|                           ***** /_//_/ ****                          |**
**|                            ** ** (__/ ****                           |**
**|                                *********                             |**
**|                                 ****                                 |**
**|                                  ***                                 |**
**|                                                                      |**
**|     Copyright (c) 1998,1999,2000 Texas Instruments Incorporated      |**
**|                        ALL RIGHTS RESERVED                           |**
**|                                                                      |**
**| Permission is hereby granted to licensees of Texas Instruments       |**
**| Incorporated (TI) products to use this computer program for the sole |**
**| purpose of implementing a licensee product based on TI products.     |**
**| No other rights to reproduce, use, or disseminate this computer      |**
**| program, whether in part or in whole, are granted.                   |**
**|                                                                      |**
**| TI makes no representation or warranties with respect to the         |**
**| performance of this computer program, and specifically disclaims     |**
**| any responsibility for any damages, special or consequential,        |**
**| connected with the use of this program.                              |**
**|                                                                      |**
**+----------------------------------------------------------------------+**
***************************************************************************/

/***************************************************************************/
/*																		   */
/*		MODULE:		4xMngr.h											   */
/*		PURPOSE:	AP Main database									   */
/*																	 	   */
/***************************************************************************/

#ifndef _4X_MNGR_H
#define _4X_MNGR_H

#include "pform_types.h"
#include "802_11Defs.h"

void wdrv_4xMngr_EnableConcatenation(void);
void wdrv_4xMngr_DisableConcatenation(void);

void wdrv_4xMngr_EnableAckEmulation(void);
void wdrv_4xMngr_DisableAckEmulation(void);

void wdrv_4xMngr_start4x( void );
void wdrv_4xMngr_stop4x( void );
void wdrv_4xSetStatus(void);
#endif

