/***************************************************************************
**+----------------------------------------------------------------------+**
**|                                ****                                  |**
**|                                ****                                  |**
**|                                ******o***                            |**
**|                          ********_///_****                           |**
**|                           ***** /_//_/ ****                          |**
**|                            ** ** (__/ ****                           |**
**|                                *********                             |**
**|                                 ****                                 |**
**|                                  ***                                 |**
**|                                                                      |**
**|     Copyright (c) 1998,1999,2000 Texas Instruments Incorporated      |**
**|                        ALL RIGHTS RESERVED                           |**
**|                                                                      |**
**| Permission is hereby granted to licensees of Texas Instruments       |**
**| Incorporated (TI) products to use this computer program for the sole |**
**| purpose of implementing a licensee product based on TI products.     |**
**| No other rights to reproduce, use, or disseminate this computer      |**
**| program, whether in part or in whole, are granted.                   |**
**|                                                                      |**
**| TI makes no representation or warranties with respect to the         |**
**| performance of this computer program, and specifically disclaims     |**
**| any responsibility for any damages, special or consequential,        |**
**| connected with the use of this program.                              |**
**|                                                                      |**
**+----------------------------------------------------------------------+**
***************************************************************************/

/***************************************************************************/
/*																		   */
/*		MODULE:	mgmtSm.h												   */
/*    PURPOSE:	Authorization/association state machine implementation	   */
/*																	 	   */
/***************************************************************************/

#ifndef _MGMT_TST_H
#define _MGMT_TST_H

void wdrv_mgmtTstNull(UINT16 fc, UINT32 SA, UINT32 DA, UINT32 BSSID);
void wdrv_mgmtTstAuth1(UINT32 SA, UINT16 algoNum);
void wdrv_mgmtTstAuth3(UINT32 SA, UINT16 algoNum, UINT32 challenge);
void wdrv_mgmtTstAssoc(UINT32 SA, BOOL pbcc, BOOL privacy, BOOL fourX);
void wdrv_mgmtTstReassoc(UINT32 SA, BOOL pbcc, BOOL privacy, BOOL fourX);
void wdrv_mgmtTstDeAuth(UINT32 SA, UINT16 reason);
void wdrv_mgmtTstDisAssoc(UINT32 SA, UINT16 reason);
void wdrv_mgmtTstClass3(UINT32 SA, UINT16 index);

#endif
