/***************************************************************************
**+----------------------------------------------------------------------+**
**|                                ****                                  |**
**|                                ****                                  |**
**|                                ******o***                            |**
**|                          ********_///_****                           |**
**|                           ***** /_//_/ ****                          |**
**|                            ** ** (__/ ****                           |**
**|                                *********                             |**
**|                                 ****                                 |**
**|                                  ***                                 |**
**|                                                                      |**
**|     Copyright (c) 1998,1999,2000 Texas Instruments Incorporated      |**
**|                        ALL RIGHTS RESERVED                           |**
**|                                                                      |**
**| Permission is hereby granted to licensees of Texas Instruments       |**
**| Incorporated (TI) products to use this computer program for the sole |**
**| purpose of implementing a licensee product based on TI products.     |**
**| No other rights to reproduce, use, or disseminate this computer      |**
**| program, whether in part or in whole, are granted.                   |**
**|                                                                      |**
**| TI makes no representation or warranties with respect to the         |**
**| performance of this computer program, and specifically disclaims     |**
**| any responsibility for any damages, special or consequential,        |**
**| connected with the use of this program.                              |**
**|                                                                      |**
**+----------------------------------------------------------------------+**
***************************************************************************/

/****************************************************************************/
/*																			*/
/*		MODULE:		mgmtSystem.h											*/
/*		PURPOSE:	Management system check implementation					*/
/*																	 		*/
/****************************************************************************/

#ifndef _MGMT_SYSTEM_H
#define _MGMT_SYSTEM_H

#include "memMngr.h"

/* system information */
typedef struct {
	UINT32			event;				/* holds the system event as resulted from the system check */
	UINT32			status;				/* holds the reason code as resulted from the system check */
} wdrv_mgmtSysInfo_T;

void wdrv_mgmtSystemCheck(UINT16 index, UINT32 protoEvent, void *protoPtr, wdrv_mgmtSysInfo_T *systemInfo);

#endif
