/***************************************************************************
**+----------------------------------------------------------------------+**
**|                                ****                                  |**
**|                                ****                                  |**
**|                                ******o***                            |**
**|                          ********_///_****                           |**
**|                           ***** /_//_/ ****                          |**
**|                            ** ** (__/ ****                           |**
**|                                *********                             |**
**|                                 ****                                 |**
**|                                  ***                                 |**
**|                                                                      |**
**|     Copyright (c) 1998-2003 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                           |**
**|                                                                      |**
**| Permission is hereby granted to licensees of Texas Instruments       |**
**| Incorporated (TI) products to use this computer program for the sole |**
**| purpose of implementing a licensee product based on TI products.     |**
**| No other rights to reproduce, use, or disseminate this computer      |**
**| program, whether in part or in whole, are granted.                   |**
**|                                                                      |**
**| TI makes no representation or warranties with respect to the         |**
**| performance of this computer program, and specifically disclaims     |**
**| any responsibility for any damages, special or consequential,        |**
**| connected with the use of this program.                              |**
**|                                                                      |**
**+----------------------------------------------------------------------+**
***************************************************************************/

/****************************************************************************
 *
 *   MODULE:  whalRx.h
 *   PURPOSE: Main receive module
 * 
 ****************************************************************************/


#ifndef _WHAL_RX_MASTER_H
#define _WHAL_RX_MASTER_H

#include "AcxDataIf.h"
#include "memMngr.h"


int  whal_rxMasterInit(void);
void whal_rxMasterUnload(void);
MEM_HANDLE whal_rxMasterRecv(int *Len, RxAttr_T *pRxAttr);
int  whal_rxMasterInfoPrint(char *buf);
void whal_rxMasterFreeBuffer( mem_BD_T *pBd );
UINT32 whal_rxMaster_getQueueInfo( UINT32 *RxDescAddr, UINT32 *HostOwn, UINT32 *OwnerPercentage );
UINT32 whal_rxMaster_getHostQueueAddr( void );
#endif