/***************************************************************************
**+----------------------------------------------------------------------+**
**|                                ****                                  |**
**|                                ****                                  |**
**|                                ******o***                            |**
**|                          ********_///_****                           |**
**|                           ***** /_//_/ ****                          |**
**|                            ** ** (__/ ****                           |**
**|                                *********                             |**
**|                                 ****                                 |**
**|                                  ***                                 |**
**|                                                                      |**
**|     Copyright (c) 1998-2003 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                           |**
**|                                                                      |**
**| Permission is hereby granted to licensees of Texas Instruments       |**
**| Incorporated (TI) products to use this computer program for the sole |**
**| purpose of implementing a licensee product based on TI products.     |**
**| No other rights to reproduce, use, or disseminate this computer      |**
**| program, whether in part or in whole, are granted.                   |**
**|                                                                      |**
**| TI makes no representation or warranties with respect to the         |**
**| performance of this computer program, and specifically disclaims     |**
**| any responsibility for any damages, special or consequential,        |**
**| connected with the use of this program.                              |**
**|                                                                      |**
**+----------------------------------------------------------------------+**
***************************************************************************/

/****************************************************************************
 *
 *   MODULE:  whalTxDesc.c
 *   PURPOSE: manage the ACX100 Tx memory blocks list 
 *		The Object holds 2 pointers (pHead, pTail) to manage the alloc/free 
 *		of ACX100 memory blocks which are orgenized as a link list
 *		functions: 
 *			Allocation - is from head pointer (Head points to the free list)
 *			Free - is by chainnig to the Tail.
 *		The allocation returns buffer handle, with current write pointer, in
 *		order to support "CopyAppend" and hide the ACX100 buffer blocks
 *		structure from upper layers
 *   
 ****************************************************************************/

 
