/**********************************************************************************************************************

  FILENAME:       public_dcs.h

  DESCRIPTION:    Header for DCS (Dynamic Channel Selction).


   Copyright (c) 2002 Texas Instruments Inc. 
   All Rights Reserved This program is the confidential and proprietary 
   product of Texas Instruments Inc.  Any Unauthorized use, reproduction or 
   transfer of this program is strictly prohibited.


***********************************************************************************************************************/


#ifndef _PUBLIC_DCS_H
#define _PUBLIC_DCS_H

#define NUM_OF_DCS_SAMPLES 120

typedef struct
{ 
  UINT16 samplesNum;
  UINT16 resrved; 	
  UINT16 timeStampDiff[NUM_OF_DCS_SAMPLES]; 

}DcsResponse_t;

typedef struct 
{
     UINT8 channel;      /* what channel should be used for the test */
     UINT8 band;		 /* What band should be used for the test. */
}DcsStart_t;


#endif

