#ifndef _RGM_ACX111_H
#define _RGM_ACX111_H
/*******************************************************************************
Filename :   rgm_acx111.h 
Description: 
    This is included by rgm_addr_map.h for the ACX111 builds 
    This file was taken from 
        Grumpy1\\ardc\ACX111\Breadboard\Software\common\rgm_addr_map_direct.h on 15Oct2002 MB
        
   Copyright (c) 2000,2002 Texas Instruments Inc. All Rights Reserved This
program is the confidential and proprietary product of Texas
Instruments Inc.  Any Unauthorized use, reproduction or transfer of
this program is strictly prohibited.  
*******************************************************************************/


#define REGISTER_VERSION_INFO          "Compiler version 6.1; Runtime version 6.1;  Jan 10 11:22 2003"
#define SPARE_A1                       (0x0dc0)
#define SPARE_A2                       (0x0dc4)
#define SPARE_A3                       (0x0dc8)
#define SPARE_A4                       (0x0dcc)
#define SPARE_A5                       (0x0dd0)
#define SPARE_A6                       (0x0dd4)
#define SPARE_A7                       (0x0dd8)
#define SPARE_A8                       (0x0ddc)
#define SPARE_B1                       (0x0de0)
#define SPARE_B2                       (0x0de4)
#define SPARE_B3                       (0x0de8)
#define SPARE_B4                       (0x0dec)
#define SPARE_B5                       (0x0df0)
#define SPARE_B6                       (0x0df4)
#define SPARE_B7                       (0x0df8)
#define SPARE_B8                       (0x0dfc)
#define CHIP_ID                        (0x0024)
#define CHIP_ID_B                      (0x0028)
#define USB_STS_CLR                    (0x0840)
#define USB_STS_ND                     (0x0844)
#define USB_INT_ACK                    (0x0848)
#define USB_MASK                       (0x084c)
#define USB_MASK_SET                   (0x0850)
#define USB_MASK_CLR                   (0x0854)
#define USB_WU                         (0x0858)
#define USB_EP0_OUT_PTR                (0x085c)
#define USB_EP0_OUT_VLD                (0x0860)
#define USB_EP0_OUT_LEN                (0x0864)
#define USB_EP0_IN_PTR                 (0x0868)
#define USB_EP0_IN_VLD                 (0x086c)
#define USB_EP0_IN_LEN                 (0x0870)
#define USB_EP1_CFG                    (0x0874)
#define USB_EP1_OUT_INT_CFG            (0x0878)
#define USB_EP1_OUT_PTR                (0x087c)
#define USB_EP1_OUT_VLD                (0x0880)
#define USB_EP1_OUT_CUR_MBLK           (0x0884)
#define USB_EP1_OUT_LEN                (0x0888)
#define USB_EP1_IN_START_MBLK          (0x088c)
#define USB_EP1_IN_LAST_MBLK           (0x0890)
#define USB_EP1_IN_VLD                 (0x0894)
#define USB_EP2_PTR                    (0x089c)
#define USB_EP2_VLD                    (0x08a0)
#define USB_EP2_LEN                    (0x08a4)
#define USB_EP3_OUT_PTR0               (0x08a8)
#define USB_EP3_OUT_VLD0               (0x08ac)
#define USB_EP3_OUT_LEN0               (0x08b0)
#define USB_EP3_OUT_PTR1               (0x08b4)
#define USB_EP3_OUT_VLD1               (0x08b8)
#define USB_EP3_OUT_LEN1               (0x08bc)
#define USB_EP3_IN_PTR0                (0x08c0)
#define USB_EP3_IN_VLD0                (0x08c4)
#define USB_EP3_IN_LEN0                (0x08c8)
#define USB_EP3_IN_PTR1                (0x08cc)
#define USB_EP3_IN_VLD1                (0x08d0)
#define USB_EP3_IN_LEN1                (0x08d4)
#define USB_EP1_OUT_END_MBLK           (0x08d8)
#define USB_EP0_OUT_SETUP              (0x08dc)
#define USB_EP0_STALL                  (0x08e0)
#define USB_EP1_IN_OFFSET              (0x08e4)
#define LDMA_DEBUG                     (0x0900)
#define LDMA_CTL0                      (0x0904)
#define LDMA_STATUS0                   (0x0908)
#define LDMA_LENGTH0                   (0x090c)
#define LDMA_RD_ADDR0                  (0x0910)
#define LDMA_RD_OFFSET0                (0x0914)
#define LDMA_WR_ADDR0                  (0x0918)
#define LDMA_WR_OFFSET0                (0x091c)
#define LDMA_CUR_RD_PTR0               (0x0920)
#define LDMA_CUR_WR_PTR0               (0x0924)
#define LDMA_CTL1                      (0x0928)
#define LDMA_STATUS1                   (0x092c)
#define LDMA_LENGTH1                   (0x0930)
#define LDMA_RD_ADDR1                  (0x0934)
#define LDMA_RD_OFFSET1                (0x0938)
#define LDMA_WR_ADDR1                  (0x093c)
#define LDMA_WR_OFFSET1                (0x0940)
#define LDMA_CUR_RD_PTR1               (0x0944)
#define LDMA_CUR_WR_PTR1               (0x0948)
#define LDMA_CTL2                      (0x094c)
#define LDMA_STATUS2                   (0x0950)
#define LDMA_LENGTH2                   (0x0954)
#define LDMA_RD_ADDR2                  (0x0958)
#define LDMA_RD_OFFSET2                (0x095c)
#define LDMA_WR_ADDR2                  (0x0960)
#define LDMA_WR_OFFSET2                (0x0964)
#define LDMA_CUR_RD_PTR2               (0x0968)
#define LDMA_CUR_WR_PTR2               (0x096c)
#define LDMA_CTL3                      (0x0970)
#define LDMA_STATUS3                   (0x0974)
#define LDMA_LENGTH3                   (0x0978)
#define LDMA_RD_ADDR3                  (0x097c)
#define LDMA_RD_OFFSET3                (0x0980)
#define LDMA_WR_ADDR3                  (0x0984)
#define LDMA_WR_OFFSET3                (0x0988)
#define LDMA_CUR_RD_PTR3               (0x098c)
#define LDMA_CUR_WR_PTR3               (0x0990)
#define VL1_REV_ID                     (0x0a00)
#define VL1_CTL                        (0x0a04)
#define VL1_STS                        (0x0a08)
#define VL1_INT_STS                    (0x0a10)
#define VL1_INT_PEND                   (0x0a14)
#define VL1_INT_PTR                    (0x0a18)
#define VL1_TX_ADDR                    (0x0a1c)
#define VL1_RX_SIZE1                   (0x0a20)
#define VL1_RX_OFF1                    (0x0a24)
#define VL1_RX_SIZE2                   (0x0a28)
#define VL1_RX_OFF2                    (0x0a2c)
#define VL1_RX_SIZE3                   (0x0a30)
#define VL1_RX_OFF3                    (0x0a34)
#define VL1_RX_SIZE4                   (0x0a38)
#define VL1_RX_OFF4                    (0x0a3c)
#define VL1_CHIP_VER                   (0x0a40)
#define VL1_INT_VEC3_0                 (0x0a60)
#define VL1_INT_VEC7_4                 (0x0a64)
#define VL1_REM_REV_ID                 (0x0a80)
#define VL1_REM_CTL                    (0x0a84)
#define VL1_REM_STS                    (0x0a88)
#define VL1_REM_INT_STS                (0x0a90)
#define VL1_REM_INT_PEND               (0x0a94)
#define VL1_REM_INT_PTR                (0x0a98)
#define VL1_REM_TX_ADDR                (0x0a9c)
#define VL1_REM_RX_SIZE1               (0x0aa0)
#define VL1_REM_RX_OFF1                (0x0aa4)
#define VL1_REM_RX_SIZE2               (0x0aa8)
#define VL1_REM_RX_OFF2                (0x0aac)
#define VL1_REM_RX_SIZE3               (0x0ab0)
#define VL1_REM_RX_OFF3                (0x0ab4)
#define VL1_REM_RX_SIZE4               (0x0ab8)
#define VL1_REM_RX_OFF4                (0x0abc)
#define VL1_REM_CHIP_VER               (0x0ac0)
#define VL1_REM_INT_VEC3_0             (0x0ac0)
#define VL1_REM_INT_VEC7_4             (0x0ad0)
#define VL2_REV_ID                     (0x0b00)
#define VL2_CTL                        (0x0b04)
#define VL2_STS                        (0x0b08)
#define VL2_INT_STS                    (0x0b10)
#define VL2_INT_PEND                   (0x0b14)
#define VL2_INT_PTR                    (0x0b18)
#define VL2_TX_ADDR                    (0x0b1c)
#define VL2_RX_SIZE1                   (0x0b20)
#define VL2_RX_OFF1                    (0x0b24)
#define VL2_RX_SIZE2                   (0x0b28)
#define VL2_RX_OFF2                    (0x0b2c)
#define VL2_RX_SIZE3                   (0x0b30)
#define VL2_RX_OFF3                    (0x0b34)
#define VL2_RX_SIZE4                   (0x0b38)
#define VL2_RX_OFF4                    (0x0b3c)
#define VL2_CHIP_VER                   (0x0b40)
#define VL2_INT_VEC3_0                 (0x0b60)
#define VL2_INT_VEC7_4                 (0x0b64)
#define VL2_REM_REV_ID                 (0x0b80)
#define VL2_REM_CTL                    (0x0b84)
#define VL2_REM_STS                    (0x0b88)
#define VL2_REM_INT_STS                (0x0b90)
#define VL2_REM_INT_PEND               (0x0b94)
#define VL2_REM_INT_PTR                (0x0b98)
#define VL2_REM_TX_ADDR                (0x0b9c)
#define VL2_REM_RX_SIZE1               (0x0ba0)
#define VL2_REM_RX_OFF1                (0x0ba4)
#define VL2_REM_RX_SIZE2               (0x0ba8)
#define VL2_REM_RX_OFF2                (0x0bac)
#define VL2_REM_RX_SIZE3               (0x0bb0)
#define VL2_REM_RX_OFF3                (0x0bb4)
#define VL2_REM_RX_SIZE4               (0x0bb8)
#define VL2_REM_RX_OFF4                (0x0bbc)
#define VL2_REM_CHIP_VER               (0x0bc0)
#define VL2_REM_INT_VEC3_0             (0x0bc0)
#define VL2_REM_INT_VEC7_4             (0x0bd0)
#define MCDMA0_SRC_ADDR                (0x0c48)
#define MCDMA0_DEST_ADDR               (0x0c4c)
#define MCDMA0_CTL                     (0x0c50)
#define MCDMA1_SRC_ADDR                (0x0c58)
#define MCDMA1_DEST_ADDR               (0x0c5c)
#define MCDMA1_CTL                     (0x0c60)
#define MCDMA2_SRC_ADDR                (0x0c68)
#define MCDMA2_DEST_ADDR               (0x0c6c)
#define MCDMA2_CTL                     (0x0c70)
#define MCDMA3_SRC_ADDR                (0x0c78)
#define MCDMA3_DEST_ADDR               (0x0c7c)
#define MCDMA3_CTL                     (0x0c80)
#define MCDMA_BASE                     (0x0c48)
#define FIQ_MASK                       (0x0040)
#define FIQ_MASK_L                     (0x0040)
#define FIQ_MASK_H                     (0x0044)
#define FIQ_MASK_SET                   (0x0048)
#define FIQ_MASK_SET_L                 (0x0048)
#define FIQ_MASK_SET_H                 (0x004c)
#define FIQ_MASK_CLR                   (0x0050)
#define FIQ_MASK_CLR_L                 (0x0050)
#define FIQ_MASK_CLR_H                 (0x0054)
#define IRQ_MASK                       (0x0058)
#define IRQ_MASK_L                     (0x0058)
#define IRQ_MASK_H                     (0x005c)
#define IRQ_MASK_SET                   (0x0060)
#define IRQ_MASK_SET_L                 (0x0060)
#define IRQ_MASK_SET_H                 (0x0064)
#define IRQ_MASK_CLR                   (0x0068)
#define IRQ_MASK_CLR_L                 (0x0068)
#define IRQ_MASK_CLR_H                 (0x006c)
#define HOST_MASK                      (0x0070)
#define HOST_MASK_L                    (0x0070)
#define HOST_MASK_H                    (0x0074)
#define HOST_MASK_SET                  (0x0078)
#define HOST_MASK_SET_L                (0x0078)
#define HOST_MASK_SET_H                (0x007c)
#define HOST_MASK_CLR                  (0x0080)
#define HOST_MASK_CLR_L                (0x0080)
#define HOST_MASK_CLR_H                (0x0084)
#define ECPU_MASK                      (0x0088)
#define FIQ_STS_L                      (0x008c)
#define FIQ_STS_H                      (0x0090)
#define IRQ_STS_L                      (0x0094)
#define IRQ_STS_H                      (0x0098)
#define HOST_STS_L                     (0x009c)
#define HOST_STS_H                     (0x00a0)
#define INT_STS_RAW_L                  (0x00a4)
#define INT_STS_RAW_H                  (0x00a8)
#define INT_ACK_L                      (0x00ac)
#define INT_ACK_H                      (0x00b0)
#define INT_STS_ND                     (0x00a4)
#define INT_STS_CLR                    (0x00f4)
#define INT_STS_CLR_L                  (0x00f4)
#define INT_STS_CLR_H                  (0x00f8)
#define INT_ACK                        (0x00ac)
#define INT_TRIG                       (0x00b4)
#define INT_TRIG_L                     (0x00b4)
#define INT_TRIG_H                     (0x00b8)
#define GPIO_INT_ACK                   (0x00bc)
#define GPIO_INT_MASK                  (0x00c0)
#define GPIO_INT_STS                   (0x00c4)
#define PROTO_INT_ACK                  (0x00c8)
#define PROTO_INT_MASK                 (0x00cc)
#define PROTO_INT_STS                  (0x00d0)
#define HINT_MASK                      (0x00d4)
#define HINT_MASK_SET                  (0x00d8)
#define HINT_MASK_CLR                  (0x00dc)
#define HINT_STS_ND_MASKED             (0x00e0)
#define HINT_STS_CLR                   (0x00e4)
#define HINT_ACK                       (0x00e8)
#define HINT_TRIG                      (0x00ec)
#define HINT_STS_ND                    (0x00f0)
#define ENABLE                         (0x01d0)
#define SYSTEM                         (0x01d4)
#define PCI_ARB_CFG                    (0x01d8)
#define BOOT_IRAM_CFG                  (0x01dc)
#define MBLK_CFG                       (0x01e0)
#define DEV_MODE                       (0x01e4)
#define BASIC_RATE_CFG                 (0x01e8)
#define BASIC_RATE_TX_CFG              (0x0370)
#define STA_ADDR_L                     (0x01ec)
#define STA_ADDR_H                     (0x01f0)
#define BSSID_L                        (0x01f4)
#define BSSID_H                        (0x01f8)
#define AID_CFG                        (0x01fc)
#define CCA_FILTER_CFG                 (0x0200)
#define CPU_WAIT_CFG                   (0x0204)
#define EXT_MEM_CFG                    (0x0208)
#define EXT_MEM_BASE                   (0x020c)
#define EXT_MEM_WAIT                   (0x0210)
#define IFS_CFG0                       (0x0214)
#define IFS_CFG1                       (0x0218)
#define TIMEOUT_CFG                    (0x021c)
#define CONT_WIND_CFG                  (0x0220)
#define BCN_INT_CFG                    (0x0224)
#define RETRY_CFG                      (0x0228)
#define MAX_LIFETIME                   (0x022c)
#define DELAY_CFG                      (0x0230)
#define MAC_HW_DOZE                    (0x0234)
#define ECPU_SLEEP                     (0x0238)
#define DOZE_CFG                       (0x023c)
#define WAKEUP_CFG                     (0x0240)
#define WAKEUP_TIME_H                  (0x0248)
#define WAKEUP_TIME_L                  (0x0244)
#define CCA_CFG                        (0x024c)
#define CCA_MON                        (0x0250)
#define TX_FRM_CTL                     (0x0254)
#define TX_HOLD_CFG                    (0x0258)
#define TSF_ADJ_CFG1                   (0x025c)
#define TSF_ADJ_CFG2                   (0x0260)
#define TSF_ADJ_CFG3                   (0x0264)
#define TSF_ADJ_CFG4                   (0x0268)
#define PRB_ADDR                       (0x026c)
#define PRB_LENGTH                     (0x0270)
#define BCN_ADDR                       (0x0274)
#define BCN_LENGTH                     (0x0278)
#define TIM_VALID                      (0x027c)
#define TIM_VALID0                     (0x027c)
#define TIM_VALID0                     (0x027c)
#define TIM_VALID1                     (0x03d4)
#define TIM_ADDR                       (0x0280)
#define TIM_ADDR0                      (0x0280)
#define TIM_ADDR1                      (0x03d8)
#define TIM_LENGTH                     (0x0284)
#define TIM_LENGTH0                    (0x0284)
#define TIM_LENGTH1                    (0x03dc)
#define TIM_SELECT                     (0x03e0)
#define CFG_ANT_SEL                    (0x03e4)
#define PHY_STANDBY_EN                 (0x03e8)
#define TSF_CFG                        (0x0288)
#define CTL_FRM_CFG                    (0x028c)
#define MGMT_FRM_CFG                   (0x0290)
#define RX_MAC_BYTECNT_INT             (0x03ec)
#define RX_DEBUG1                      (0x05d8)
#define RX_DEBUG2                      (0x05dc)
#define RX_CFG                         (0x0294)
#define RX_MC0_H                       (0x029c)
#define RX_MC0_L                       (0x0298)
#define RX_MC1_H                       (0x02a4)
#define RX_MC1_L                       (0x02a0)
#define RX_FREE_MEM                    (0x02a8)
#define RX_CURR_MEM                    (0x02ac)
#define DEC_WR_MBLK                    (0x02d4)
#define DEC_WR_OFFSET                  (0x02d8)
#define DEC_CTL                        (0x02b0)
#define DEC_STATUS                     (0x02b4)
#define DEC_MBLK                       (0x02b8)
#define DEC_CFG                        (0x02bc)
#define DEC_LEN                        (0x02cc)
#define DEC_OFFSET                     (0x02d0)
#define DEC_KEY_ADDR                   (0x02c0)
#define DEC_KEY_LEN                    (0x02c4)
#define DEC_KEY_IV                     (0x02c8)
#define RADIO_PLL_CFG                  (0x02dc)
#define MAC_TIMESTAMP                  (0x02e0)
#define RX_TIMESTAMP                   (0x02e4)
#define RX_FRM_PTR                     (0x02e8)
#define RX_FRM_LEN                     (0x02ec)
#define RX_PLCP_HDR                    (0x02f0)
#define RX_PLCP_SIGNAL                 (0x02f4)
#define RX_PLCP_SERVICE                (0x02f8)
#define RX_PLCP_LENGTH                 (0x02fc)
#define RX_FRM_CTL                     (0x0300)
#define RX_DUR_ID                      (0x0304)
#define RX_ADDR1_H                     (0x030c)
#define RX_ADDR1_L                     (0x0308)
#define RX_ADDR2_H                     (0x0314)
#define RX_ADDR2_L                     (0x0310)
#define RX_ADDR3_H                     (0x031c)
#define RX_ADDR3_L                     (0x0318)
#define RX_SEQ_CTL                     (0x0320)
#define RX_QOS_CTL                     (0x05c4)
#define RX_QOS_CFG                     (0x05c8)
#define RX_QOS_STATUS                  (0x05d4)
#define RX_TXOP_HOLDER_L               (0x05cc)
#define RX_TXOP_HOLDER_H               (0x05d0)
#define RX_WEP_IV                      (0x0324)
#define RX_TIME_H                      (0x032c)
#define RX_TIME_L                      (0x0328)
#define RX_STATUS                      (0x0330)
#define RX_FILTER_CFG                  (0x0334)
#define EE_CTL                         (0x0338)
#define EE_ADDR                        (0x033c)
#define EE_DATA                        (0x0340)
#define EE_CFG                         (0x0344)
#define SBB_CFG                        (0x0348)
#define SBB_RX_REGS                    (0x034c)
#define SBB_ADDR                       (0x0350)
#define SBB_DATA                       (0x0354)
#define SBB_CTL                        (0x0358)
#define RCI_CTL                        (0x035c)
#define RCI_DATA                       (0x0360)
#define RCI_CFG1                       (0x0364)
#define RCI_CFG2                       (0x0368)
#define RCI_CFG3                       (0x036c)
#define CFG_USEC_STB                   (0x04dc)
#define GPIO_OE                        (0x0374)
#define GPIO_IN                        (0x0378)
#define GPIO_OUT                       (0x037c)
#define GPIO_PD                        (0x0380)
#define GPIO_ALT_SEL                   (0x0384)
#define SCR_PAD0                       (0x0388)
#define SCR_PAD1                       (0x038c)
#define SCR_PAD2                       (0x0390)
#define SCR_PAD3                       (0x0394)
#define SCR_PAD4                       (0x0398)
#define SCR_PAD4_SET                   (0x039c)
#define SCR_PAD4_CLR                   (0x03a0)
#define SCR_PAD5                       (0x03a4)
#define SCR_PAD5_SET                   (0x03a8)
#define SCR_PAD5_CLR                   (0x03ac)
#define SCR_PAD6                       (0x03b0)
#define SCR_PAD7                       (0x03b4)
#define SCR_PAD8                       (0x03b8)
#define SCR_PAD9                       (0x03bc)
#define HI_CFG                         (0x03c0)
#define EXT_MEM_BUS_CFG                (0x03d0)
#define GPO_CFG                        (0x03c4)
#define CFG_OFDM_TIMES0                (0x03c8)
#define CFG_OFDM_TIMES1                (0x03cc)
#define TIM1_CTRL                      (0x0180)
#define TIM1_LOAD                      (0x0184)
#define TIM1_CNT                       (0x0188)
#define TIM2_CTRL                      (0x018c)
#define TIM2_LOAD                      (0x0190)
#define TIM2_CNT                       (0x0194)
#define TIM3_CTRL                      (0x0198)
#define TIM3_LOAD                      (0x019c)
#define TIM3_CNT                       (0x01a0)
#define TIM4_CTRL                      (0x01a4)
#define TIM4_LOAD                      (0x01a8)
#define TIM4_CNT                       (0x01ac)
#define TIM5_CTRL                      (0x01b0)
#define TIM5_LOAD                      (0x01b4)
#define TIM5_CNT                       (0x01b8)
#define WDOG_CTRL                      (0x01bc)
#define WDOG_LOAD                      (0x01c0)
#define WDOG_CNT                       (0x01c4)
#define WDOG_STS                       (0x01c8)
#define WDOG_FEED                      (0x01cc)
#define RS232_BITINTERVAL              (0x03f0)
#define EE_START                       (0x0100)
#define SOR_CFG                        (0x0104)
#define TXSIFS_TIMER                   (0x03f8)
#define TXPIFS_TIMER                   (0x03fc)
#define TXDIFS_TIMER                   (0x0400)
#define SLOT_TIMER                     (0x0404)
#define BACKOFF_TIMER                  (0x0408)
#define BCN_PSP_TIMER                  (0x040c)
#define NAV                            (0x0410)
#define TSF_L                          (0x0414)
#define TSF_H                          (0x0418)
#define MED_USAGE                      (0x041c)
#define MED_USAGE_TM                   (0x0420)
#define TOUT_TIMER                     (0x0424)
#define NEXT_TBTT_L                    (0x0428)
#define NEXT_TBTT_H                    (0x042c)
#define DTIM_CNT                       (0x0430)
#define CONT_WIND                      (0x0434)
#define PRSP_REQ                       (0x0438)
#define PRSP_DA_L                      (0x043c)
#define PRSP_DA_H                      (0x0440)
#define PRSP_RETRY                     (0x0444)
#define PSPOLL_REQ                     (0x0448)
#define NEXT_SEQ_NUM                   (0x044c)
#define PRSP_SEQ_NUM                   (0x0450)
#define BCN_SEQ_NUM                    (0x0454)
#define PRB_DLY                        (0x0458)
#define STA_SRC                        (0x045c)
#define STA_LRC                        (0x0460)
#define RAND_NUMB                      (0x0464)
#define CFG_QOS_ACM                    (0x0468)
#define CFG_ACM                        (0x0468)
#define ACM_IFS_CFG0                   (0x0474)
#define ACM_IFS_CFG1                   (0x0478)
#define ACM_IFS_CFG2                   (0x047c)
#define ACM_IFS_CFG3                   (0x0480)
#define ACK_CTS_FRM_CFG                (0x0484)
#define CFG_RX_TSTMP_DLY0              (0x0488)
#define CFG_RX_TSTMP_DLY1              (0x048c)
#define CFG_RX_TSTMP_DLY2              (0x0490)
#define CFG_RX_TSTMP_DLY3              (0x0494)
#define CFG_ACK_CTS_DOT11A             (0x046c)
#define CFG_ACK_CTS_DOT11B             (0x0470)
#define CCA_IDLE                       (0x04a0)
#define CCA_IDLE_CLR                   (0x04a4)
#define CCA_BUSY                       (0x0498)
#define CCA_BUSY_CLR                   (0x049c)
#define ELP_START                      (0x04a8)
#define ELP_SLEEP_CNT                  (0x04ac)
#define CFG_ELP_MODE                   (0x04b0)
#define CFG_PLL_SYNC_CNT               (0x04b4)
#define CFG_ELP_SLEEP_CNT              (0x04b8)
#define CFG_WAKE_UP_EN                 (0x04bc)
#define CFG_SLP_CLK_EN                 (0x04c0)
#define CFG_SLP_CLK_SEL                (0x04c4)
#define ELP_WAKE_UP_STS                (0x04c8)
#define CLK_CFG                        (0x04cc)
#define CLK_CTRL                       (0x04d0)
#define BLK_RST                        (0x04d4)
#define CFG_PHY_CLK88                  (0x04d8)
#define STA_SSID0                      (0x0584)
#define STA_SSID1                      (0x0588)
#define STA_SSID2                      (0x058c)
#define STA_SSID3                      (0x0590)
#define STA_SSID4                      (0x0594)
#define STA_SSID5                      (0x0598)
#define STA_SSID6                      (0x059c)
#define STA_SSID7                      (0x05a0)
#define SSID_LEN                       (0x05a4)
#define TX_CFG0                        (0x0640)
#define TX_CFG1                        (0x0644)
#define TX_CFG2                        (0x0648)
#define TX_CFG3                        (0x064c)
#define TX_PING0                       (0x0650)
#define TX_PONG0                       (0x0690)
#define TX_PANG0                       (0x06e0)
#define TX_PING1                       (0x0654)
#define TX_PONG1                       (0x0694)
#define TX_PANG1                       (0x06e4)
#define TX_PING2                       (0x0658)
#define TX_PONG2                       (0x0698)
#define TX_PANG2                       (0x06e8)
#define TX_PING3                       (0x065c)
#define TX_PONG3                       (0x069c)
#define TX_PANG3                       (0x06ec)
#define TX_PING4                       (0x0660)
#define TX_PONG4                       (0x06a0)
#define TX_PANG4                       (0x06f0)
#define TX_PING5                       (0x0664)
#define TX_PONG5                       (0x06a4)
#define TX_PANG5                       (0x06f4)
#define TX_PING6                       (0x0668)
#define TX_PONG6                       (0x06a8)
#define TX_PANG6                       (0x06f8)
#define TX_PING7                       (0x066c)
#define TX_PONG7                       (0x06ac)
#define TX_PANG7                       (0x06fc)
#define TX_PING8                       (0x0670)
#define TX_PONG8                       (0x06b0)
#define TX_PANG8                       (0x0700)
#define TX_PING10                      (0x0678)
#define TX_PONG10                      (0x06b8)
#define TX_PANG10                      (0x0708)
#define TX_PING11                      (0x067c)
#define TX_PONG11                      (0x06bc)
#define TX_PANG11                      (0x070c)
#define TX_PING_OVRD_CFG               (0x0688)
#define TX_PONG_OVRD_CFG               (0x06c8)
#define TX_PANG_OVRD_CFG               (0x0718)
#define TX_STATUS                      (0x06dc)
#define TX_PING_EXCH                   (0x0680)
#define TX_PONG_EXCH                   (0x06c0)
#define TX_PANG_EXCH                   (0x0710)
#define TX_PING_ATT                    (0x0684)
#define TX_PONG_ATT                    (0x06c4)
#define TX_PANG_ATT                    (0x0714)
#define TX_PING_PONG                   (0x06d0)
#define TX_PANG_SEL                    (0x0720)
#define FEC_CFG                        (0x0724)
#define FEC_SCRM_CFG                   (0x0728)
#define CONT_TX_EN                     (0x072c)
#define TX_STATE                       (0x06d4)
#define TX_PING9                       (0x0674)
#define TX_PONG9                       (0x06b4)
#define TX_PANG9                       (0x0704)
#define TX_PING_TIMESTAMP              (0x068c)
#define TX_PONG_TIMESTAMP              (0x06cc)
#define TX_PANG_TIMESTAMP              (0x071c)
#define POWER_MGMT                     (0x06d8)
#define PLCP_ERR_CNT                   (0x05a8)
#define FCS_ERR_CNT                    (0x05ac)
#define RX_OVERFLOW_CNT                (0x05b0)
#define RX_FRM_CNT                     (0x05b4)
#define CONS_FCS_ERR_CNT               (0x05bc)
#define CONS_FCS_ERR_CFG               (0x05c0)
#define ECPU_CTRL                      (0x0108)
#define DMA_GLB_CFG                    (0x0740)
#define DMA_CFG0                       (0x0744)
#define DMA_CTL0                       (0x0748)
#define DMA_STS0                       (0x074c)
#define DMA_LENGTH0                    (0x0750)
#define DMA_L_ADDR0                    (0x0754)
#define DMA_L_PTR0                     (0x075c)
#define DMA_H_ADDR0                    (0x0758)
#define DMA_H_PTR0                     (0x0760)
#define DMA_CFG1                       (0x0764)
#define DMA_CTL1                       (0x0768)
#define DMA_STS1                       (0x076c)
#define DMA_LENGTH1                    (0x0770)
#define DMA_L_ADDR1                    (0x0774)
#define DMA_L_PTR1                     (0x077c)
#define DMA_H_ADDR1                    (0x0778)
#define DMA_H_PTR1                     (0x0780)
#define DMA_DEBUG                      (0x0784)
#define DMA_H_FRM_PTR0                 (0x0788)
#define DMA_H_FRM_PTR1                 (0x078c)
#define DMA_HDESC_OFFSET               (0x0790)
#define DMA_HDATA_OFFSET               (0x0794)
#define MCHL_START0                    (0x07c0)
#define MCHL_DMV_START_MBLK0           (0x07c4)
#define MCHL_DMV_CUR_MBLK0             (0x07d0)
#define MCHL_DMV_OFFSET0               (0x07c8)
#define MCHL_DMV_LENGTH0               (0x07cc)
#define MCHL_DMV_CFG0                  (0x07d4)
#define MCHL_KEY_L0                    (0x07d8)
#define MCHL_KEY_H0                    (0x07dc)
#define MCHL_MIC_L0                    (0x07e0)
#define MCHL_MIC_H0                    (0x07e4)
#define MCHL_START1                    (0x07e8)
#define MCHL_DMV_START_MBLK1           (0x07ec)
#define MCHL_DMV_CUR_MBLK1             (0x07f8)
#define MCHL_DMV_OFFSET1               (0x07f0)
#define MCHL_DMV_LENGTH1               (0x07f4)
#define MCHL_DMV_CFG1                  (0x07fc)
#define MCHL_KEY_L1                    (0x0800)
#define MCHL_KEY_H1                    (0x0804)
#define MCHL_MIC_L1                    (0x0808)
#define MCHL_MIC_H1                    (0x080c)
#define MCHL_CTL0                      (0x0810)
#define MCHL_CTL1                      (0x0814)
#define AESE_START                     (0x0d10)
#define AESE_CFG                       (0x0d14)
#define AESE_CTL                       (0x0d18)
#define AESE_STATUS                    (0x0d1c)
#define AESE_RD_ADDR                   (0x0d24)
#define AESE_RD_OFFSET                 (0x0d28)
#define AESE_LENGTH                    (0x0d20)
#define AESE_WR_ADDR                   (0x0d2c)
#define AESE_WR_OFFSET                 (0x0d30)
#define AESE_CUR_RD_PTR                (0x0d34)
#define AESE_CUR_WR_PTR                (0x0d38)
#define AESE_KEY_0                     (0x0d3c)
#define AESE_KEY_1                     (0x0d40)
#define AESE_KEY_2                     (0x0d44)
#define AESE_KEY_3                     (0x0d48)
#define AESE_NONCE_0                   (0x0d4c)
#define AESE_NONCE_1                   (0x0d50)
#define AESE_NONCE_2                   (0x0d54)
#define AESE_NONCE_3                   (0x0d58)
#define AESE_ASSO_DATA_0               (0x0d6c)
#define AESE_ASSO_DATA_1               (0x0d70)
#define AESE_ASSO_DATA_2               (0x0d74)
#define AESE_ASSO_DATA_3               (0x0d78)
#define AESE_MIC_0                     (0x0d5c)
#define AESE_MIC_1                     (0x0d60)
#define AESE_MIC_2                     (0x0d64)
#define AESE_MIC_3                     (0x0d68)
#define AESD_START                     (0x0c90)
#define AESD_CFG                       (0x0c94)
#define AESD_CTL                       (0x0c98)
#define AESD_STATUS                    (0x0cb4)
#define AESD_RD_ADDR                   (0x0ca0)
#define AESD_RD_OFFSET                 (0x0ca4)
#define AESD_LENGTH                    (0x0c9c)
#define AESD_WR_ADDR                   (0x0ca8)
#define AESD_WR_OFFSET                 (0x0cac)
#define AESD_CUR_RD_PTR                (0x0cb8)
#define AESD_CUR_WR_PTR                (0x0cbc)
#define AESD_KEY_0                     (0x0cc8)
#define AESD_KEY_1                     (0x0ccc)
#define AESD_KEY_2                     (0x0cd0)
#define AESD_KEY_3                     (0x0cd4)
#define AESD_NONCE_0                   (0x0cd8)
#define AESD_NONCE_1                   (0x0cdc)
#define AESD_NONCE_2                   (0x0ce0)
#define AESD_NONCE_3                   (0x0ce4)
#define AESD_ASSO_DATA_0               (0x0cf8)
#define AESD_ASSO_DATA_1               (0x0cfc)
#define AESD_ASSO_DATA_2               (0x0d00)
#define AESD_ASSO_DATA_3               (0x0d04)
#define AESD_MIC_0                     (0x0ce8)
#define AESD_MIC_1                     (0x0cec)
#define AESD_MIC_2                     (0x0cf0)
#define AESD_MIC_3                     (0x0cf4)
#define AESD_MIC_LENGTH                (0x0cc0)
#define AESD_NUM_OF_ROUNDS             (0x0cc4)
#define FECD_START                     (0x0d7c)
#define FECD_CFG                       (0x0d80)
#define FECD_CTL                       (0x0d84)
#define FECD_STATUS                    (0x0d88)
#define FECD_LENGTH                    (0x0d8c)
#define FECD_RD_ADDR                   (0x0d90)
#define FECD_RD_OFFSET                 (0x0d94)
#define FECD_WR_ADDR                   (0x0d98)
#define FECD_WR_OFFSET                 (0x0d9c)
#define FECD_CUR_RD_PTR                (0x0da0)
#define FECD_CUR_WR_PTR                (0x0da4)
#define FECD_BYTE_ERR                  (0x0da8)
#define FECD_PARAMS                    (0x0dac)
#define FECD_11A_SCRM                  (0x0db0)
#define CPC_REGION                     (0x1000)
#define CIS_LADDR                      (0x04e0)
#define HI_CTL                         (0x04e4)
#define SRAM_PAGE                      (0x002c)
#define FER                            (0x0030)
#define FEMR                           (0x0034)
#define FPSR                           (0x0038)
#define FFER                           (0x003c)
#define LPWR_MGT                       (0x04e8)
#define PDR0                           (0x04ec)
#define PDR1                           (0x04f0)
#define PDR2                           (0x04f4)
#define PDR3                           (0x04f8)
#define BAR2_ENABLE                    (0x04fc)
#define BAR2_TRANS                     (0x0500)
#define BAR2_MASK                      (0x0504)
#define PCI_MEM_SIZE1                  (0x0508)
#define PCI_MEM_OFFSET1                (0x050c)
#define PCI_MEM_OFFSET2                (0x0510)
#define PCI_IO_SIZE1                   (0x0514)
#define PCI_IO_OFFSET1                 (0x0518)
#define PCI_IO_OFFSET2                 (0x051c)
#define PCI_CFG_OFFSET                 (0x0520)
#define SLV_SOFT_RESET                 (0x0000)
#define SLV_REG_ADDR                   (0x0004)
#define SLV_REG_DATA                   (0x0008)
#define SLV_REG_ADATA                  (0x000c)
#define SLV_MEM_CP                     (0x0010)
#define SLV_MEM_ADDR                   (0x0014)
#define SLV_MEM_DATA                   (0x0018)
#define SLV_MEM_CTL                    (0x001c)
#define SLV_END_CTL                    (0x0020)
#define VLYNQ1_BASE                    (0x0a00)
#define VLYNQ2_BASE                    (0x0b00)
#define SCR_IADDR1                     (0x0c00)
#define SCR_IDATA1                     (0x0c04)
#define SCR_IADDR2                     (0x0c08)
#define SCR_IDATA2                     (0x0c0c)
#define RX_RESET                       (0x0580)
#define MAC_HEADER_WORD0               (0x05e8)
#define MAC_HEADER_WORD1               (0x05ec)
#define MAC_HEADER_WORD2               (0x05f0)
#define MAC_HEADER_WORD3               (0x05f4)
#define MAC_HEADER_WORD4               (0x05f8)
#define MAC_HEADER_WORD5               (0x05fc)
#define MAC_HEADER_WORD6               (0x0600)
#define MAC_HEADER_WORD7               (0x0604)
#define MAC_HEADER_WORD8               (0x0608)
#define MAC_HEADER_WORD9               (0x060c)
#define MAC_HEADER_BYTECNT             (0x0610)

/*
//SAVE_FOR_LATER
// DWR: 
//   USB_GC_CFG does not exist in 111.  We must learn and use the "new" way
//              of doing what USB code does with this.
//
//#define USB_GC_CFG                     (*(volatile uint32*)(0xffff03cc)
*/
#endif
