/***************************************************************************
**+----------------------------------------------------------------------+**
**|                                ****                                  |**
**|                                ****                                  |**
**|                                ******o***                            |**
**|                          ********_///_****                           |**
**|                           ***** /_//_/ ****                          |**
**|                            ** ** (__/ ****                           |**
**|                                *********                             |**
**|                                 ****                                 |**
**|                                  ***                                 |**
**|                                                                      |**
**|     Copyright (c) 1998-2003 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                           |**
**|                                                                      |**
**| Permission is hereby granted to licensees of Texas Instruments       |**
**| Incorporated (TI) products to use this computer program for the sole |**
**| purpose of implementing a licensee product based on TI products.     |**
**| No other rights to reproduce, use, or disseminate this computer      |**
**| program, whether in part or in whole, are granted.                   |**
**|                                                                      |**
**| TI makes no representation or warranties with respect to the         |**
**| performance of this computer program, and specifically disclaims     |**
**| any responsibility for any damages, special or consequential,        |**
**| connected with the use of this program.                              |**
**|                                                                      |**
**+----------------------------------------------------------------------+**
***************************************************************************/

/****************************************************************************
 *
 *   MODULE:  whalCommon.h
 *   PURPOSE: common whal definitions
 * 
 ****************************************************************************/

#ifndef WHAL_COMMON_H
#define WHAL_COMMON_H

#include "pal.h"

#define DOT11_G

#ifndef ACX_MEM_DEF
extern UINT32 AcxRegAddr;
extern UINT32 AcxMemAddr;
#else
UINT32 AcxRegAddr;
UINT32 AcxMemAddr;
#define ACX_MEM_DEF
#endif
#define ACX100_REG_ADDRESS		AcxRegAddr
#define ACX100_MEM_ADDRESS		AcxMemAddr


#include "pform_types.h"

#include "pal.h"
#ifndef __linux__ /* you are NOT supposed to include files from BSP !!! */
#include "tnetd53xx.h" 
#endif
#include "acx_hw.h"     /* WLAN adaptor type and bus type */
 
typedef void *MEM_HANDLE;

#endif
